# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cdb
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{echo 


}
Name:           python-module-cdb
Version:        0.34
Release:        alt1_5
Summary:        Constant database library adapted as a python extension module

Group:          Development/Python
License:        GPLv2+
URL:            http://pilcrow.madison.wi.us/#pycdb
Source0:        http://pilcrow.madison.wi.us/python-cdb/%{oldname}-%{version}.tar.gz
#Updated address, patch sent to the upstream on 15/05/2012
Patch0:         copying.patch
BuildRequires:  python-devel python-module-setuptools
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}.*\.so$


%description
D. J. Bernstein's constant database library adapted as a python 
extension module. Like GDBM and kin, cdb files map keys to values. 
The file format boasts wickedly fast lookups and atomic updates.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p0

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1  --root $RPM_BUILD_ROOT




%files
%doc README Example COPYING
%{python_sitelibdir}/cdbmodule.so
%{python_sitelibdir}/python_cdb-%{version}-*.egg-info



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_4
- initial fc import

